<?php

namespace Drupal\qualityhive\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class QualityHiveSettingsForm extends ConfigFormBase {

  protected function getEditableConfigNames() {
    return ['qualityhive.settings'];
  }

  public function getFormId() {
    return 'qualityhive_settings_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('qualityhive.settings');

    $form['project_key'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Project Key'),
      '#default_value' => $config->get('project_key'),
      '#required' => TRUE,
    ];

    $form['admin_only'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Only show to administrators'),
      '#default_value' => $config->get('admin_only'),
    ];

    return parent::buildForm($form, $form_state);
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('qualityhive.settings')
      ->set('project_key', $form_state->getValue('project_key'))
      ->set('admin_only', $form_state->getValue('admin_only'))
      ->save();

    parent::submitForm($form, $form_state);
  }
}
